//------------------------------------------------------------------------------
// <auto-generated>
//     Этот код создан по шаблону.
//
//     Изменения, вносимые в этот файл вручную, могут привести к непредвиденной работе приложения.
//     Изменения, вносимые в этот файл вручную, будут перезаписаны при повторном создании кода.
// </auto-generated>
//------------------------------------------------------------------------------

namespace ProductShopApp
{
    using System;
    using System.Collections.Generic;
    
    public partial class DeliveryTable
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public DeliveryTable()
        {
            this.BasketTable = new HashSet<BasketTable>();
            this.SaleTable = new HashSet<SaleTable>();
        }
    
        public int DeliveryId { get; set; }
        public int ProductId { get; set; }
        public System.DateTime DateDelivery { get; set; }
        public decimal UnitPrice { get; set; }
        public System.DateTime DateOfManufacture { get; set; }
        public System.DateTime ShelfLife { get; set; }
        public int CountDelivery { get; set; }
        public int UnitId { get; set; }
    
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<BasketTable> BasketTable { get; set; }
        public virtual ProductTable ProductTable { get; set; }
        public virtual UnitTable UnitTable { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<SaleTable> SaleTable { get; set; }
    }
}
